Name:           gfontview
Version:        0.5.0
Release:        4%{?dist}
Summary:        A font viewer for Type 1 and TrueType fonts

Group:          User Interface/X
License:        GPL
URL:            http://gfontview.sourceforge.net
Source0:        ftp://metalab.unc.edu/pub/Linux/X11/fonts/%{name}-%{version}.tar.gz
Patch0:         gfontview-0.5.0-gcc4.patch
Patch1:         gfontview-0.5.0-makefile.patch

BuildRequires:  libungif-devel, gtk+-devel, t1lib-devel
BuildRequires:  desktop-file-utils, gettext
# it needs to know the spooling system and thus needs /usr/bin/lpr
BuildRequires:  cups

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
gfontview is a Font Viewer for outline fonts (PostScript Type 1 and TrueType).
It will display all fonts present in the chosen directory in a list,
with a preview of the font also present in the main window. 


%prep
%setup -q
%patch0 -p 1
%patch1 -p 1
cp gfontview.desktop gfontview.desktop.orig
sed -e s?"^Terminal=0"?"Terminal=false"? < gfontview.desktop.orig > gfontview.desktop

%build
%configure \
 --enable-gnome=no \
 --with-libungif \
 --with-fontdir=%{_datadir}/fonts
make %{?_smp_mflags}


%install
make  DESTDIR=$RPM_BUILD_ROOT install
#rm $RPM_BUILD_ROOT%{prefix}/share/gfontviewrc

desktop-file-install --vendor fedora --delete-original \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category X-Fedora \
  --add-category Application \
  --add-category Utility \
  --copy-name-to-generic-name \
  $RPM_BUILD_ROOT%{_datadir}/applications/gfontview.desktop

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog INSTALL README TODO gfontview.lsm
%{_bindir}/gfontview
%{_datadir}/pixmaps/gfontview.png
%{_datadir}/applications/fedora-gfontview.desktop
%{_datadir}/gfontview

%changelog
* Tue Sep 27 2005 Michael A. Peters <mpeters@mac.com> 0.5.0-4
- changed the name of patch0 to be more specific
- replaced patch1 to include better gfontviewrc location
- changed Group to User Interface/X
- Cleaned up install of the Desktop file
- Do not build for gnome, this is not a gnome2 or gtk2+ app

* Mon Sep 26 2005 Michael A. Peters <mpeters@mac.com> 0.5.0-3
- cleaned up spec file to take care of bug 165612 comment 1
- added patch for proper locale install with DESTDIR

* Tue Aug 2 2005 Kirby Files <ksfiles@gmail.com> 0.5.0-2
- borrowed some patches from Debian to fix gcc4 breakages.

